For the complete documentation index, see llms.txt. This page is also available as Markdown.

EmploymentContracts

List all employmentContracts viewable for API user

get
Authorizations
AuthorizationstringRequired

This API uses Bearer token authentication.

Requests to this API should contain an Authorization header like this:

Authorization: Bearer [Token]
Query parameters
pageTokenstringOptional
limitinteger · int32Optional
sinceDeltaTokenstringOptional
fieldsstring[]Optional
Responses
200

Successful request

application/json
deltaTokenstringRequired
pageTokenstringRequired
get/employmentContracts
GET /employmentContracts HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful request

{
  "results": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "interval": {},
      "externalCode": "text",
      "createdAt": "text",
      "contractTypeID": "550e8400-e29b-41d4-a716-446655440000",
      "lastModifiedAt": "text",
      "externalId": "text",
      "employmentID": "550e8400-e29b-41d4-a716-446655440000"
    }
  ],
  "deltaToken": "text",
  "pageToken": "text"
}
get
Authorizations
AuthorizationstringRequired

This API uses Bearer token authentication.

Requests to this API should contain an Authorization header like this:

Authorization: Bearer [Token]
Path parameters
idstring · hexadecimal-integerRequiredExample: 550e8400-e29b-41d4-a716-446655440000Pattern: ^[0-9a-fA-F]{8}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{12}$
Responses
200

Successful request

application/json
idstring · hexadecimal-integerRequiredExample: 550e8400-e29b-41d4-a716-446655440000Pattern: ^[0-9a-fA-F]{8}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{12}$
intervalobject · objectRequired
externalCodestringOptional
createdAtstring · timestampRequired
contractTypeIDstring · hexadecimal-integerRequiredExample: 550e8400-e29b-41d4-a716-446655440000Pattern: ^[0-9a-fA-F]{8}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{12}$
lastModifiedAtstring · timestampRequired
externalIdstringOptional
employmentIDstring · hexadecimal-integerRequiredExample: 550e8400-e29b-41d4-a716-446655440000Pattern: ^[0-9a-fA-F]{8}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{4}\-[0-9a-fA-F]{12}$
get/employmentContracts/{id}
GET /employmentContracts/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful request

{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "interval": {},
  "externalCode": "text",
  "createdAt": "text",
  "contractTypeID": "550e8400-e29b-41d4-a716-446655440000",
  "lastModifiedAt": "text",
  "externalId": "text",
  "employmentID": "550e8400-e29b-41d4-a716-446655440000"
}

Was this helpful?